using System;
using System.Collections.Generic;
using System.Text;

namespace HREngine.Bots
{
	class Sim_LOE_019t2 : SimTemplate //* Golden Monkey
	{
		//Taunt. Battlecry: Replace your hand and deck with Legendary minions.
		
		public override void getBattlecryEffect(Playfield p, Minion own, Minion target, int choice)
		{
			int bonus = 0;
			if (own.own)
			{
				foreach (Minion m in p.ownMinions)
				{
                    bonus += 5;
                    if (m.wounded) bonus += 5;
                }
                bonus += p.owncards.Count * 5;
                bonus = -1 * bonus;
			}
            else
            {
                foreach (Minion m in p.enemyMinions)
                {
                    bonus += 5;
                    if (m.wounded) bonus += 5;
                }
                bonus += p.enemyAnzCards * 5;
            }
			p.evaluatePenality += bonus;
		}
	}
}